Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class StructureEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JLayeredPane
                      javax.swing.JDesktopPane
                          SEdit.StructureEditor

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class StructureEditor

extends javax.swing.JDesktopPane
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Canvas dans lequel les interactions avec l'utilisateur sont r�alis�s

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDesktopPane
`javax.swing.JDesktopPane.AccessibleJDesktopPane`

Nested classes/interfaces inherited from class javax.swing.JLayeredPane
`javax.swing.JLayeredPane.AccessibleJLayeredPane`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `ADD_ARROW`
`static int` | `ADD_NODE`
`static int` | `AFFICHER_TEXTE`
`StructureAgent` | `agent` la gestion du presse-papier.
`static int` | `AJOUTER_ARROW`
`static int` | `AJOUTER_NODE`
`static int` | `COLLER`
`static int` | `COPIER`
`static int` | `COUPER`
`static int` | `DEPLACEMENT`
`static int` | `DEPLACER`
`static int` | `DETACHER`
`protected boolean` | `displayArrowLabels`
`protected boolean` | `displayCnxLabels`
`protected boolean` | `displayNodeLabels`
`java.awt.Graphics` | `GC`
`protected javax.swing.JPopupMenu` | `globalPopup`
`protected java.util.Hashtable<ElementDesc,javax.swing.JPopupMenu>` | `popupTable`
`static int` | `RAFRAICHIR`
`static int` | `SELECT_FLECHE`
`static int` | `SELECT_POLY`
`static int` | `SELECT_RECT`

Fields inherited from class javax.swing.JDesktopPane
`LIVE_DRAG_MODE, OUTLINE_DRAG_MODE`

Fields inherited from class javax.swing.JLayeredPane
`DEFAULT_LAYER, DRAG_LAYER, FRAME_CONTENT_LAYER, LAYER_PROPERTY, MODAL_LAYER, PALETTE_LAYER, POPUP_LAYER`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`StructureEditor(StructureAgent _agent)` Constructor

Method Summary
`void` | `addGlobalPopUp()`
`void` | `addGObject(GObject o)`
`void` | `addGObjectFirst(GObject o)`
`void` | `addNotify()` insertion du composant dans un container
`void` | `addSelected(GObject o)`
`void` | `addSelection(java.util.Vector<GObject> v)`
`java.lang.String` | `askForNewName(java.lang.String name)`
`java.lang.String` | `askForString(java.lang.String header)`
`java.lang.String` | `askForString(java.lang.String header, java.lang.String message)`
`void` | `clearAll()`
`void` | `clearSelection()` supprime tous les elements selectionnes
`void` | `computeBounds(java.awt.Rectangle r, java.lang.Object obj, boolean fromSConnect)`
`void` | `deleteSelection()`
`void` | `doUpdate(java.awt.Graphics g)`
`GObject` | `find(int x, int y)` Find the object at a given point.
`java.util.Vector<GObject>` | `find(java.awt.Rectangle r)` Find all elements that are contained in a given rectangle
`static java.lang.String` | `getClipBoard()`
`int` | `getColor()`
`java.awt.Dimension` | `getDimension()`
`boolean` | `getDisplayGrid()`
`int` | `getGridSize()`
`java.util.Vector<GObject>` | `getSelection()`
`java.awt.Dimension` | `getSize()`
`Structure` | `getStructure()`
`StructureBean` | `getStructureBean()`
`void` | `installActions(ElementDesc ed)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `paintComponent(java.awt.Graphics g)`
`void` | `print(java.awt.Frame _f)`
`void` | `printEditor()`
`void` | `processElementPopUp(int x, int y)`
`void` | `processMouseEvent(java.awt.event.MouseEvent ev)`
`void` | `removeGObject(GObject o)`
`void` | `removeSelected(GObject o)`
`void` | `setCanvasSize()`
`static void` | `setClipBoard(java.lang.String s)`
`void` | `setColor(int c)` pour changer les couleurs
`void` | `setDisplayGrid(boolean b)`
`void` | `setGraphics(java.awt.Graphics g)`
`void` | `setSelection(java.util.Vector<GObject> v)`
`void` | `setSize(java.awt.Dimension d)`
`void` | `setSnapToGrid(boolean b)`
`void` | `setSnapToGrid1(boolean b)`
`void` | `setStructureBean(StructureBean bean)`
`void` | `switchArrows()`
`void` | `switchConn()`
`void` | `switchNodes()`
`void` | `toggleShowGrid()`
`void` | `updateTranslateList()`

Methods inherited from class javax.swing.JDesktopPane
`getAccessibleContext, getAllFrames, getAllFramesInLayer, getDesktopManager, getDragMode, getSelectedFrame, getUI, getUIClassID, isOpaque, paramString, setDesktopManager, setDragMode, setSelectedFrame, setUI, updateUI`

Methods inherited from class javax.swing.JLayeredPane
`addImpl, getComponentCountInLayer, getComponentsInLayer, getComponentToLayer, getIndexOf, getLayer, getLayer, getLayeredPaneAbove, getObjectForLayer, getPosition, highestLayer, insertIndexForLayer, isOptimizedDrawingEnabled, lowestLayer, moveToBack, moveToFront, paint, putLayer, remove, removeAll, setLayer, setLayer, setPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### agent

    public StructureAgent agent

  la gestion du presse-papier. Ol: bien plus logique ici que dans SEditAgent (feu SEditApp) qui n'est pas forc�ment lanc� sur le m�me kernel

### globalPopup

    protected javax.swing.JPopupMenu globalPopup

### popupTable

    protected java.util.Hashtable<ElementDesc,javax.swing.JPopupMenu> popupTable

### SELECT_FLECHE

    public static final int SELECT_FLECHE

See Also:
  Constant Field Values

### SELECT_RECT

    public static final int SELECT_RECT

See Also:
  Constant Field Values

### SELECT_POLY

    public static final int SELECT_POLY

See Also:
  Constant Field Values

### COUPER

    public static final int COUPER

See Also:
  Constant Field Values

### COPIER

    public static final int COPIER

See Also:
  Constant Field Values

### COLLER

    public static final int COLLER

See Also:
  Constant Field Values

### DETACHER

    public static final int DETACHER

See Also:
  Constant Field Values

### DEPLACER

    public static final int DEPLACER

See Also:
  Constant Field Values

### AFFICHER_TEXTE

    public static final int AFFICHER_TEXTE

See Also:
  Constant Field Values

### RAFRAICHIR

    public static final int RAFRAICHIR

See Also:
  Constant Field Values

### ADD_NODE

    public static final int ADD_NODE

See Also:
  Constant Field Values

### ADD_ARROW

    public static final int ADD_ARROW

See Also:
  Constant Field Values

### AJOUTER_NODE

    public static final int AJOUTER_NODE

See Also:
  Constant Field Values

### AJOUTER_ARROW

    public static final int AJOUTER_ARROW

See Also:
  Constant Field Values

### DEPLACEMENT

    public static final int DEPLACEMENT

See Also:
  Constant Field Values

### GC

    public java.awt.Graphics GC

### displayCnxLabels

    protected boolean displayCnxLabels

### displayNodeLabels

    protected boolean displayNodeLabels

### displayArrowLabels

    protected boolean displayArrowLabels

Constructor Detail

### StructureEditor

    public StructureEditor(StructureAgent _agent)

  Constructor

Method Detail

### getClipBoard

    public static java.lang.String getClipBoard()

### setClipBoard

    public static void setClipBoard(java.lang.String s)

### setColor

    public void setColor(int c)

  pour changer les couleurs

### getColor

    public int getColor()

### getStructureBean

    public StructureBean getStructureBean()

### setStructureBean

    public void setStructureBean(StructureBean bean)

### setDisplayGrid

    public void setDisplayGrid(boolean b)

### getDisplayGrid

    public boolean getDisplayGrid()

### toggleShowGrid

    public void toggleShowGrid()

### setSnapToGrid

    public void setSnapToGrid(boolean b)

### setSnapToGrid1

    public void setSnapToGrid1(boolean b)

### getGridSize

    public int getGridSize()

### switchConn

    public void switchConn()

### switchNodes

    public void switchNodes()

### switchArrows

    public void switchArrows()

### installActions

    public void installActions(ElementDesc ed)

### processElementPopUp

    public void processElementPopUp(int x,
                                    int y)

### getSize

    public java.awt.Dimension getSize()

  Overrides:
    `getSize` in class `java.awt.Component`

### setSize

    public void setSize(java.awt.Dimension d)

  Overrides:
    `setSize` in class `java.awt.Component`

### getStructure

    public Structure getStructure()

### addGObject

    public void addGObject(GObject o)

### addGObjectFirst

    public void addGObjectFirst(GObject o)

### removeGObject

    public void removeGObject(GObject o)

### deleteSelection

    public void deleteSelection()

### getSelection

    public java.util.Vector<GObject> getSelection()

### setSelection

    public void setSelection(java.util.Vector<GObject> v)

### addSelection

    public void addSelection(java.util.Vector<GObject> v)

### updateTranslateList

    public void updateTranslateList()

### addSelected

    public void addSelected(GObject o)

### removeSelected

    public void removeSelected(GObject o)

### clearSelection

    public void clearSelection()

  supprime tous les elements selectionnes

### clearAll

    public void clearAll()

### askForNewName

    public java.lang.String askForNewName(java.lang.String name)

### askForString

    public java.lang.String askForString(java.lang.String header)

### askForString

    public java.lang.String askForString(java.lang.String header,
                                         java.lang.String message)

### find

    public GObject find(int x,
                        int y)

  Find the object at a given point. The method tries to be a bit smart so that connectors or arrows have priority on nodes or components so that we can easily grab them

### find

    public java.util.Vector<GObject> find(java.awt.Rectangle r)

  Find all elements that are contained in a given rectangle

### addNotify

    public void addNotify()

  insertion du composant dans un container

  Overrides:
    `addNotify` in class `javax.swing.JComponent`

### setGraphics

    public void setGraphics(java.awt.Graphics g)

### computeBounds

    public void computeBounds(java.awt.Rectangle r,
                              java.lang.Object obj,
                              boolean fromSConnect)

### getDimension

    public java.awt.Dimension getDimension()

### setCanvasSize

    public void setCanvasSize()

### addGlobalPopUp

    public void addGlobalPopUp()

### processMouseEvent

    public void processMouseEvent(java.awt.event.MouseEvent ev)

  Overrides:
    `processMouseEvent` in class `javax.swing.JComponent`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### paintComponent

    public void paintComponent(java.awt.Graphics g)

  Overrides:
    `paintComponent` in class `javax.swing.JComponent`

### doUpdate

    public void doUpdate(java.awt.Graphics g)

### print

    public void print(java.awt.Frame _f)

### printEditor

    public void printEditor()

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.